org.apache.poi.hwpf.model

## Class DocumentProperties

- java.lang.Object
- - org.apache.poi.hwpf.model.types.DOPAbstractType
  - - org.apache.poi.hwpf.model.DocumentProperties

-     @Internal
      public final class DocumentProperties
      extends DOPAbstractType

  Comment me
  Author:
    Ryan Ackley

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hwpf.model.types.DOPAbstractType

      `field_1_formatFlags, field_10_wSpare, field_11_dxaHotz, field_12_cConsexHypLim, field_13_wSpare2, field_14_dttmCreated, field_15_dttmRevised, field_16_dttmLastPrint, field_17_nRevision, field_18_tmEdited, field_19_cWords, field_2_unused2, field_20_cCh, field_21_cPg, field_22_cParas, field_23_Edn, field_24_Edn1, field_25_cLines, field_26_cWordsFtnEnd, field_27_cChFtnEdn, field_28_cPgFtnEdn, field_29_cParasFtnEdn, field_3_footnoteInfo, field_30_cLinesFtnEdn, field_31_lKeyProtDoc, field_32_view, field_33_docinfo4, field_34_adt, field_35_doptypography, field_36_dogrid, field_37_docinfo5, field_38_docinfo6, field_39_asumyi, field_4_fOutlineDirtySave, field_40_cChWS, field_41_cChWSFtnEdn, field_42_grfDocEvents, field_43_virusinfo, field_44_Spare, field_45_reserved1, field_46_reserved2, field_47_cDBC, field_48_cDBCFtnEdn, field_49_reserved, field_5_docinfo, field_50_nfcFtnRef, field_51_nfcEdnRef, field_52_hpsZoonFontPag, field_53_dywDispPag, field_6_docinfo1, field_7_docinfo2, field_8_docinfo3, field_9_dxaTab`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentProperties(byte[] tableStream, int offset)` Deprecated. Use `DocumentProperties(byte[],int,int)` instead
    `DocumentProperties(byte[] tableStream, int offset, int length)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `serialize(byte[] data, int offset)`
    `void` | `writeTo(java.io.ByteArrayOutputStream tableStream)`

    - ### Methods inherited from class org.apache.poi.hwpf.model.types.DOPAbstractType

      `fillFields, getAdt, getAsumyi, getCCh, getCChFtnEdn, getCChWS, getCChWSFtnEdn, getCConsexHypLim, getCDBC, getCDBCFtnEdn, getCLines, getCLinesFtnEdn, getCParas, getCParasFtnEdn, getCPg, getCPgFtnEdn, getCWords, getCWordsFtnEnd, getDocinfo, getDocinfo1, getDocinfo2, getDocinfo3, getDocinfo4, getDocinfo5, getDocinfo6, getDogrid, getDoptypography, getDttmCreated, getDttmLastPrint, getDttmRevised, getDxaHotz, getDxaTab, getDywDispPag, getEdn, getEdn1, getEpc, getFootnoteInfo, getFormatFlags, getFOutlineDirtySave, getFpc, getGrfDocEvents, getGrfSupression, getHpsZoonFontPag, getKeyVirusSession30, getLKeyProtDoc, getLvl, getNEdn, getNfcEdnRef, getNfcEdnRef1, getNfcFtnRef, getNfcFtnRef1, getNFtn, getNRevision, getReserved, getReserved1, getReserved2, getRncEdn, getRncFtn, getSize, getSpare, getTmEdited, getUnused2, getUnused5, getView, getVirusinfo, getWScaleSaved, getWSpare, getWSpare2, getWvkSaved, getZkSaved, isFAutoHyphen, isFAutoVersions, isFBackup, isFConvMailMergeEsc, isFDfltTrueType, isFDispFormFldSel, isFEmbedFonts, isFExactCWords, isFFacingPages, isFForcePageSizePag, isFFormNoFields, isFGramAllClean, isFGramAllDone, isFHaveVersions, isFHideLastVersion, isFHtmlDoc, isFHyphCapitals, isFIncludeFooter, isFIncludeHeader, isFLabelDoc, isFLinkStyles, isFLockAtn, isFLockRev, isFMapPrintTextColor, isFMinFontSizePag, isFMirrorMargins, isFMWSmallCaps, isFNoColumnBalance, isFNoLeading, isFNoSpaceRaiseLower, isFNoTabForInd, isFOnlyMacPics, isFOnlyWinPics, isFOrigWordTableRules, isFPagHidden, isFPagResults, isFPagSupressTopSpacing, isFPMHMainDoc, isFPrintBodyBeforeHdr, isFPrintFormData, isFProtEnabled, isFRevMarking, isFRMPrint, isFRMView, isFRotateFontW6, isFSaveFormData, isFShadeFormData, isFShowBreaksInFrames, isFSnapBorder, isFSubsetFonts, isFSuppressTopSPacingMac5, isFSupressSpdfAfterPageBreak, isFSupressTopSpacing, isFSwapBordersFacingPgs, isFTransparentMetafiles, isFTruncDxaExpand, isFVirusLoadSafe, isFVirusPrompted, isFWCFtnEdn, isFWidowControl, isFWrapTrailSpaces, isIGutterPos, isOldfConvMailMergeEsc, isOldfMapPrintTextColor, isOldfNoColumnBalance, isOldfNoSpaceRaiseLower, isOldfNoTabForInd, isOldfOrigWordTableRules, isOldfShowBreaksInFrames, isOldfSuppressSpbfAfterPageBreak, isOldfSupressTopSpacing, isOldfSwapBordersFacingPgs, isOldfTransparentMetafiles, isOldfWrapTrailSpaces, isUnused1, isUnused3, isUnused4, setAdt, setAsumyi, setCCh, setCChFtnEdn, setCChWS, setCChWSFtnEdn, setCConsexHypLim, setCDBC, setCDBCFtnEdn, setCLines, setCLinesFtnEdn, setCParas, setCParasFtnEdn, setCPg, setCPgFtnEdn, setCWords, setCWordsFtnEnd, setDocinfo, setDocinfo1, setDocinfo2, setDocinfo3, setDocinfo4, setDocinfo5, setDocinfo6, setDogrid, setDoptypography, setDttmCreated, setDttmLastPrint, setDttmRevised, setDxaHotz, setDxaTab, setDywDispPag, setEdn, setEdn1, setEpc, setFAutoHyphen, setFAutoVersions, setFBackup, setFConvMailMergeEsc, setFDfltTrueType, setFDispFormFldSel, setFEmbedFonts, setFExactCWords, setFFacingPages, setFForcePageSizePag, setFFormNoFields, setFGramAllClean, setFGramAllDone, setFHaveVersions, setFHideLastVersion, setFHtmlDoc, setFHyphCapitals, setFIncludeFooter, setFIncludeHeader, setFLabelDoc, setFLinkStyles, setFLockAtn, setFLockRev, setFMapPrintTextColor, setFMinFontSizePag, setFMirrorMargins, setFMWSmallCaps, setFNoColumnBalance, setFNoLeading, setFNoSpaceRaiseLower, setFNoTabForInd, setFOnlyMacPics, setFOnlyWinPics, setFootnoteInfo, setFOrigWordTableRules, setFormatFlags, setFOutlineDirtySave, setFPagHidden, setFPagResults, setFPagSupressTopSpacing, setFpc, setFPMHMainDoc, setFPrintBodyBeforeHdr, setFPrintFormData, setFProtEnabled, setFRevMarking, setFRMPrint, setFRMView, setFRotateFontW6, setFSaveFormData, setFShadeFormData, setFShowBreaksInFrames, setFSnapBorder, setFSubsetFonts, setFSuppressTopSPacingMac5, setFSupressSpdfAfterPageBreak, setFSupressTopSpacing, setFSwapBordersFacingPgs, setFTransparentMetafiles, setFTruncDxaExpand, setFVirusLoadSafe, setFVirusPrompted, setFWCFtnEdn, setFWidowControl, setFWrapTrailSpaces, setGrfDocEvents, setGrfSupression, setHpsZoonFontPag, setIGutterPos, setKeyVirusSession30, setLKeyProtDoc, setLvl, setNEdn, setNfcEdnRef, setNfcEdnRef1, setNfcFtnRef, setNfcFtnRef1, setNFtn, setNRevision, setOldfConvMailMergeEsc, setOldfMapPrintTextColor, setOldfNoColumnBalance, setOldfNoSpaceRaiseLower, setOldfNoTabForInd, setOldfOrigWordTableRules, setOldfShowBreaksInFrames, setOldfSuppressSpbfAfterPageBreak, setOldfSupressTopSpacing, setOldfSwapBordersFacingPgs, setOldfTransparentMetafiles, setOldfWrapTrailSpaces, setReserved, setReserved1, setReserved2, setRncEdn, setRncFtn, setSpare, setTmEdited, setUnused1, setUnused2, setUnused3, setUnused4, setUnused5, setView, setVirusinfo, setWScaleSaved, setWSpare, setWSpare2, setWvkSaved, setZkSaved, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DocumentProperties

          public DocumentProperties(byte[] tableStream,
                                    int offset)

      Deprecated. Use `DocumentProperties(byte[],int,int)` instead

    - #### DocumentProperties

          public DocumentProperties(byte[] tableStream,
                                    int offset,
                                    int length)

  - ### Method Detail

    - #### serialize

          public void serialize(byte[] data,
                                int offset)

      Overrides:
        `serialize` in class `DOPAbstractType`

    - #### writeTo

          public void writeTo(java.io.ByteArrayOutputStream tableStream)
                       throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.